function [obj,gradObj] = GMMcrit4(gamma,logrelC,age,logC,ER,instrument,cutoff,W)
% GMM criterion with weighting matrix W
T = size(logrelC,2)-1; % sample size in GMM
[g,dg] = perror4(gamma,logrelC,age,logC,ER,instrument,cutoff);
obj = T*g'*W*g; % GMM criterion
gradObj = 2*T*dg'*W*g; % derivative
end

